aboutsummaryrefslogtreecommitdiffstats
path: root/core/alpine-baselayout/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2008-11-05 10:14:38 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-11-05 10:14:38 +0000
commite7567a4829d921c9d207eab4cd15adbea1d74279 (patch)
tree6a9c48dd0011d53c2383b004ecaca69422e8e076 /core/alpine-baselayout/APKBUILD
parentab663f9f95e1730ae4a3de22b7e6bd0984700e8b (diff)
downloadaports-e7567a4829d921c9d207eab4cd15adbea1d74279.tar.gz
aports-e7567a4829d921c9d207eab4cd15adbea1d74279.tar.bz2
aports-e7567a4829d921c9d207eab4cd15adbea1d74279.tar.xz
new aport: core/alpine-baselayout
Diffstat (limited to 'core/alpine-baselayout/APKBUILD')
-rw-r--r--core/alpine-baselayout/APKBUILD61
1 files changed, 61 insertions, 0 deletions
diff --git a/core/alpine-baselayout/APKBUILD b/core/alpine-baselayout/APKBUILD
new file mode 100644
index 0000000000..f5d0264059
--- /dev/null
+++ b/core/alpine-baselayout/APKBUILD
@@ -0,0 +1,61 @@
+pkgname=alpine-baselayout
+pkgver=1.12
+pkgdesc="Alpine base dir structure and init scripts"
+url=http://dev.alpinelinux.org/alpine/alpine-baselayout
+source="http://dev.alpinelinux.org/alpine/$pkgname/$pkgname-$pkgver.tar.gz
+ modloop.initd
+ install-D.patch
+ "
+license=GPL-2
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 < ../install-D.patch
+ make install PREFIX= DESTDIR="$pkgdir" || return 1
+ mkdir -p \
+ $pkgdir/etc/modules.d \
+ $pkgdir/etc/network/if-down.d \
+ $pkgdir/etc/network/if-post-down.d \
+ $pkgdir/etc/network/if-pre-up.d \
+ $pkgdir/etc/network/if-up.d \
+ $pkgdir/etc/periodic/15min \
+ $pkgdir/etc/periodic/hourly \
+ $pkgdir/etc/periodic/daily \
+ $pkgdir/etc/periodic/weekly \
+ $pkgdir/etc/periodic/monthly \
+ $pkgdir/media/cdrom \
+ $pkgdir/media/floppy \
+ $pkgdir/media/usb \
+ $pkgdir/mnt \
+ $pkgdir/proc \
+ $pkgdir/sys \
+ $pkgdir/dev \
+ $pkgdir/home \
+ $pkgdir/root \
+ $pkgdir/usr/bin \
+ $pkgdir/usr/sbin \
+ $pkgdir/usr/local/bin \
+ $pkgdir/usr/local/sbin \
+ $pkgdir/var/lib/misc \
+ $pkgdir/var/log \
+ $pkgdir/var/run \
+ $pkgdir/var/lock/subsys \
+ $pkgdir/var/tmp \
+ $pkgdir/tmp
+
+ chmod 0700 "$pkgdir/root"
+ chmod 1777 "$pkgdir/tmp"
+
+ ln -s /.alpine-release "$pkgdir"/etc/alpine-release
+ ln -s /proc/mounts $pkgdir/etc/mtab
+
+ echo "deadline-iosched" > $pkgdir/etc/modules
+ echo "af_packet" >> $pkgdir/etc/modules
+
+ cp $srcdir/modloop.initd $pkgdir/etc/init.d/modloop
+
+}
+
+md5sums="c63e002ec6693d44cc9542601dbd2698 alpine-baselayout-1.12.tar.gz
+20829b8111829da1441da95cb5370ddf modloop.initd
+bcb24ca480935cb11116a6512f07fa63 install-D.patch"